package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.CarryThingsOutFactory;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CarryThingsOutFactoryDAO {
	int insert(CarryThingsOutFactory entity);
	int update(CarryThingsOutFactory entity);
	int exist(String id);
	CarryThingsOutFactory get(String id);
	int delete(String id);
	List<CarryThingsOutFactory> list();
	int getAppointmentPassNum(@Param("searchParams") Map<String, Object> searchParams);
	List<CarryThingsOutFactory> search(@Param("searchParams")Map<String, Object> searchParams, @Param("sortList")List<Sort> sortList);
	List<CarryThingsOutFactory> guardSearch(@Param("searchParams")Map<String, Object> searchParams, @Param("sortList")List<Sort> sortList);
}